// BongoException.h: interface for the CBongoException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BONGOEXCEPTION_H__1975E459_4B01_454B_A8F8_51209D2B55B8__INCLUDED_)
#define AFX_BONGOEXCEPTION_H__1975E459_4B01_454B_A8F8_51209D2B55B8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef enum bbt_creation_error_code
{
	eOk,
	eCanNotLoadBongo,
	eNotRunningBongoReleaseOrBetaVersion,
	eInvalidBongoInstallationPath,
};


class BO_SDK_API_EXP CBongoException  
{
public:
	CBongoException();
	CBongoException(bbt_creation_error_code, const WCHAR* wszExtraInfo = NULL);

	bbt_creation_error_code	GetErrorCode();
	const WCHAR*		What();
	const WCHAR*		Context();

protected:
	bbt_creation_error_code	m_error;
	CString			m_sExtraInfo;

};

#endif // !defined(AFX_BONGOEXCEPTION_H__1975E459_4B01_454B_A8F8_51209D2B55B8__INCLUDED_)
