// BBTDeleteTimelineTicksCMD.h: interface for the CBBTDeleteTimelineTicksCMD class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTDELETETIMELINETICKSCMD_H__65FF41A6_1B8F_4EC7_903A_C678E8C6FDB6__INCLUDED_)
#define AFX_BBTDELETETIMELINETICKSCMD_H__65FF41A6_1B8F_4EC7_903A_C678E8C6FDB6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTDeleteTimelineTicksCMD  : public CBongoCommand
{
public:
	CBBTDeleteTimelineTicksCMD();
	virtual ~CBBTDeleteTimelineTicksCMD();

public:
	UUID CommandUUID();
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	virtual void DoHelp();

protected:
	bool CommandLineInput(int& iFrom, int& iTo);
	bool CollectViews(CArray<CRhinoViewport*, CRhinoViewport*>& aViews);

	void DeleteObjectKeyframes(int iFrom, int iTo, CArray<const CRhinoObject*, const CRhinoObject*>& aObjects);
	void DeleteViewKeyframes(int iFrom, int iTo, CArray<CRhinoViewport*, CRhinoViewport*>& aViews);

private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTDELETETIMELINETICKSCMD_H__65FF41A6_1B8F_4EC7_903A_C678E8C6FDB6__INCLUDED_)
