// BBTDeleteViewKeyframeRangeCmd.h: interface for the CBBTDeleteViewKeyframeRangeCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTDELETEVIEWKEYFRAMERANGECMD_H__B2533DD0_19D3_457A_ACB2_1463DB3CBA6A__INCLUDED_)
#define AFX_BBTDELETEVIEWKEYFRAMERANGECMD_H__B2533DD0_19D3_457A_ACB2_1463DB3CBA6A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTDeleteViewKeyframeRangeCmd  : public CBongoCommand
{
public:
	CBBTDeleteViewKeyframeRangeCmd();
	virtual ~CBBTDeleteViewKeyframeRangeCmd();

public:
	UUID CommandUUID();
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	virtual void DoHelp();

protected:
	bool CommandLineInput(int& iFrom, int& iTo);
	bool DeleteKeyframes(CBongoView* pBongoView, int iFrom, int iTo);
	bool ValidateView(CBongoView* pView);

private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTDELETEVIEWKEYFRAMERANGECMD_H__B2533DD0_19D3_457A_ACB2_1463DB3CBA6A__INCLUDED_)
