// BBTEmailNotificationCmd.cpp: implementation of the CBBTEmailNotificationCmd class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "BBTEmailNotificationCmd.h"
#include "BBTEmailNotificationDlg.h"
#include "bbtmain.h"

extern CBBTMain bbt;


static class CBBTEmailNotificationCmd theBBTEmailNotificationCmd;


//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBBTEmailNotificationCmd::CBBTEmailNotificationCmd()
{
	wcsncpy( m_wszLocalCommandName, ThePlugIn().LocalizedString(11), BBT_STRING_BUFFER);
}

CBBTEmailNotificationCmd::~CBBTEmailNotificationCmd()
{

}

UUID CBBTEmailNotificationCmd::CommandUUID()
{
	// {97F900CE-B618-4e2c-9119-22641FF93817}
	static const GUID uuidEmailNotificationCmd = 
	{ 0x97f900ce, 0xb618, 0x4e2c, { 0x91, 0x19, 0x22, 0x64, 0x1f, 0xf9, 0x38, 0x17 } };


	return uuidEmailNotificationCmd;
}
	
void CBBTEmailNotificationCmd::DoHelp()
{
	
}

const wchar_t* CBBTEmailNotificationCmd::EnglishCommandName()
{
	return L"BongoBonusEmailNotification"; 
}

const wchar_t* CBBTEmailNotificationCmd::LocalCommandName() const 
{ 
	return m_wszLocalCommandName;
}

CRhinoCommand::result CBBTEmailNotificationCmd::RunBongoCommand( const CRhinoCommandContext& context )
{
	bbt.WakeUp();

	if(context.IsInteractive())
	{
		CBBTEmailNotificationDlg dlg;

		if(dlg.DoModal() != IDOK)
		{
			return CRhinoCommand::cancel;
		}
	}


	return CRhinoCommand::success;
}
