#if !defined(AFX_BBTGRAPHICDISPLAYCONTROLBAR_H__9EBB84D0_AB3E_4596_AD63_8C1BF6614DE3__INCLUDED_)
#define AFX_BBTGRAPHICDISPLAYCONTROLBAR_H__9EBB84D0_AB3E_4596_AD63_8C1BF6614DE3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BBTGraphicDisplayControlBar.h : header file
//

class CBBTGraphicDisplayDlg;

/////////////////////////////////////////////////////////////////////////////
// CBBTGraphicDisplayControlBar dialog

class CBBTGraphicDisplayControlBar : public CRmaUiControlBar
{
public:
	CBBTGraphicDisplayControlBar();
	virtual ~CBBTGraphicDisplayControlBar();


public:
	//{{AFX_VIRTUAL(CBBTGraphicDisplayControlBar)
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CBBTGraphicDisplayControlBar)
	afx_msg void OnWindowPosChanged(WINDOWPOS FAR* lpwndpos);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
  BOOL CreateControlBarX(CFrameWnd *pParentWnd);
  BOOL CreateControls();
  BOOL ResizeControls(LPRECT lpRect);
  CRect InitialSize();

  void RefreshDisplay();

  void SetSkipNextSelectionChangedNotification(bool bFlag);

  void UpdateSliderPos(double dPos);

protected:
	BOOL SaveDialogSettings();
	BOOL LoadDialogSettings();
	
	void StoreTimelinePos();
	void OnWindowClosed();


private:
	WCHAR m_wszLocalDialogName[BBT_STRING_BUFFER];
	CBBTGraphicDisplayDlg* m_pGraphicDisplayDlg;

	int m_iTop;
	int m_iLeft;
	int m_iBottom;
	int m_iRight;
	DWORD m_dwDockState;
	DWORD m_dwFloating;
	BOOL  m_bVisible;
	CRect m_rcDialog;
	BOOL m_bIsWindowDocked;
	BOOL  m_bCompact;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BBTGRAPHICDISPLAYCONTROLBAR_H__9EBB84D0_AB3E_4596_AD63_8C1BF6614DE3__INCLUDED_)
