// BBTGraphicalDisplayCmd.h: interface for the CBBTGraphicalDisplayCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTGRAPHICALDISPLAYCMD_H__77CB3A31_56AC_4F00_839A_454892CA127E__INCLUDED_)
#define AFX_BBTGRAPHICALDISPLAYCMD_H__77CB3A31_56AC_4F00_839A_454892CA127E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTGraphicalDisplayCmd  : public CBongoCommand
{
public:
	CBBTGraphicalDisplayCmd();
	virtual ~CBBTGraphicalDisplayCmd();

	UUID CommandUUID();

public:
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	
	virtual void DoHelp();
	
private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];

};

#endif // !defined(AFX_BBTGRAPHICALDISPLAYCMD_H__77CB3A31_56AC_4F00_839A_454892CA127E__INCLUDED_)
