// BBTInsertTimelineTicksCMD.h: interface for the CBBTInsertTimelineTicksCMD class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTINSERTTIMELINETICKSCMD_H__2BD785A6_6A95_40C3_8B6E_80DB45DBB9B5__INCLUDED_)
#define AFX_BBTINSERTTIMELINETICKSCMD_H__2BD785A6_6A95_40C3_8B6E_80DB45DBB9B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTInsertTimelineTicksCMD : public CBongoCommand  
{
public:
	CBBTInsertTimelineTicksCMD();
	virtual ~CBBTInsertTimelineTicksCMD();

public:
	UUID CommandUUID();
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );

	virtual void DoHelp();

protected:
	bool CommandLineInput(int& iFrom, int& iRange);
	bool CollectViews(CArray<CRhinoViewport*, CRhinoViewport*>& aViews);

private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTINSERTTIMELINETICKSCMD_H__2BD785A6_6A95_40C3_8B6E_80DB45DBB9B5__INCLUDED_)
