// BBTDeleteObjectKeyframeRangeCmd.h: interface for the CBBTDeleteObjectKeyframeRangeCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTDELETEOBJECTKEYFRAMERANGECMD_H__90B18455_0810_4337_A939_683493E0C2D3__INCLUDED_)
#define AFX_BBTDELETEOBJECTKEYFRAMERANGECMD_H__90B18455_0810_4337_A939_683493E0C2D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTDeleteObjectKeyframeRangeCmd  : public CBongoCommand
{
public:
	CBBTDeleteObjectKeyframeRangeCmd();
	virtual ~CBBTDeleteObjectKeyframeRangeCmd();	
	
public:
	UUID CommandUUID();
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	virtual void DoHelp();

protected:
	bool CommandLineInput(int& iFrom, int& iTo);
	bool DeleteKeyframes(CRhinoGetObject* pGO, int iFrom, int iTo);

private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTDELETEOBJECTKEYFRAMERANGECMD_H__90B18455_0810_4337_A939_683493E0C2D3__INCLUDED_)
