// BBTEmailNotificationCmd.h: interface for the CBBTEmailNotificationCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTEMAILNOTIFICATIONCMD_H__2767A1BF_25F1_4071_BC6D_985E7EE1434E__INCLUDED_)
#define AFX_BBTEMAILNOTIFICATIONCMD_H__2767A1BF_25F1_4071_BC6D_985E7EE1434E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTEmailNotificationCmd  : public CBongoCommand
{
public:
	CBBTEmailNotificationCmd();
	virtual ~CBBTEmailNotificationCmd();

	UUID CommandUUID();

public:
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	
	virtual void DoHelp();
	
private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTEMAILNOTIFICATIONCMD_H__2767A1BF_25F1_4071_BC6D_985E7EE1434E__INCLUDED_)
