// BBTEmailNotifierMgr.h: interface for the CBBTEmailNotifierMgr class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTEMAILNOTIFIERMGR_H__EF5BCB81_272A_40DB_88F1_4894CDCEECE7__INCLUDED_)
#define AFX_BBTEMAILNOTIFIERMGR_H__EF5BCB81_272A_40DB_88F1_4894CDCEECE7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CBBTEmailNotificationDlg;


static UINT	SendEmailThread(LPVOID pParam);


class CBBTEmailNotifierMgr  
{
public:
	CBBTEmailNotifierMgr();
	virtual ~CBBTEmailNotifierMgr();

public:
	bool Initialize(bool bSilent);
	bool Reset();

	bool FrameRendered(const char* szFileName, int iFrameNumber);

	bool AnimationFinished(const char* szFileName);

	bool AnimationCanceled(const char* szFileName);

	bool SendMail(const char* szSubject, const char* szBody, const char* szAttachment);

protected:
	bool ShouldWeSendNotificationForThisFrame(int iFrame);

private:
	CBBTEmailNotificationDlg* m_pEmailNotifierHandler;
	bool m_bEnabled;
	bool m_bFirstFrameRendered;
	int m_iFramesRendered;
	int m_iNextFrameToRender;
};


typedef struct THREADSTRUCT
{
	CBBTEmailNotifierMgr* pEmailNotifierMgr;
	CString sEmailBody;
	CString sEmailSubject;
	CString sFullPathToAttachment;

} THREADSTRUCT;

#endif // !defined(AFX_BBTEMAILNOTIFIERMGR_H__EF5BCB81_272A_40DB_88F1_4894CDCEECE7__INCLUDED_)
