// BBTMain.h: interface for the CBBTMain class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTMAIN_H__38660A59_DCA5_41A1_92B3_15E13F6696E6__INCLUDED_)
#define AFX_BBTMAIN_H__38660A59_DCA5_41A1_92B3_15E13F6696E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTEventWatcher;
class CBBTTimelineExtension;
class CBBTGraphicDisplayControlBar;

class CBBTMain  
{
public:
	CBBTMain();
	virtual ~CBBTMain();

public:
	bool Initialize();
	bool WakeUp();

public:
	HICON BongoIcon();
	CBBTEventWatcher& BongoEventWatcher();
	CBBTTimelineExtension& TimelineExtension();
	CBBTGraphicDisplayControlBar& GraphicDisplayControlBar();
	bool CloseGraphicDisplayControlBar();

protected:
	bool CreateBongoEventWatcher();
	bool CreateGraphicDisplayControlBar();

private:
	HICON m_iconBongo;
	CBBTEventWatcher* m_pBongoEventWatcher;
	CBBTTimelineExtension* m_pTimelineExtension;
	CBBTGraphicDisplayControlBar* m_pGraphicDisplayControlBar;
};

#endif // !defined(AFX_BBTMAIN_H__38660A59_DCA5_41A1_92B3_15E13F6696E6__INCLUDED_)
