// BBTRenderAnimationFileCollectionCmd.h: interface for the CBBTRenderAnimationFileCollectionCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTRENDERANIMATIONFILECOLLECTIONCMD_H__895F0ADF_8C48_4C6E_99F6_39E0E7A8D47F__INCLUDED_)
#define AFX_BBTRENDERANIMATIONFILECOLLECTIONCMD_H__895F0ADF_8C48_4C6E_99F6_39E0E7A8D47F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTRenderAnimationFileCollectionCmd  : public CBongoCommand
{
public:
	CBBTRenderAnimationFileCollectionCmd();
	virtual ~CBBTRenderAnimationFileCollectionCmd();

	UUID CommandUUID();

public:
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	
	virtual void DoHelp();
	
private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTRENDERANIMATIONFILECOLLECTIONCMD_H__895F0ADF_8C48_4C6E_99F6_39E0E7A8D47F__INCLUDED_)
