/////////////////////////////////////////////////////////////////////////////
// cmdBongoBonusTools.cpp : command file
//

#include "StdAfx.h"
#include "BBTPlugIn.h"
#include "Resource.h"
#include "bbtmain.h"

extern CBBTMain bbt;

////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
//
// BEGIN BongoBonusTools command
//

// Do NOT put the definition of class CCommandBongoBonusTools in a header
// file.  There is only ONE instance of a CCommandBongoBonusTools class
// and that instance is the static theBongoBonusToolsCommand that appears
// immediately below the class definition.

class CCommandBongoBonusTools : public CBongoCommand
{
public:
  // The one and only instance of CCommandBongoBonusTools is created below.
  // No copy constructor or operator= is required.  Values of
  // member variables persist for the duration of the application.

  // CCommandBongoBonusTools::CCommandBongoBonusTools()
  // is called exactly once when static theBongoBonusToolsCommand is created.
	CCommandBongoBonusTools() {}

  // CCommandBongoBonusTools::~CCommandBongoBonusTools()
  // is called exactly once when static theBongoBonusToolsCommand is
  // destroyed.  The desctructor should not make any calls to
  // the Rhino SDK.  If your command has persistent settings,
  // then override CRhinoCommand::SaveProfile and 
  // CRhinoCommand::LoadProfile.
  ~CCommandBongoBonusTools() {}

  // Returns a unique id for this command.
  // If you try to use an id that is already being used, then
  // your command will not work.  Use GUIDGEN.EXE to get unique ids.
	UUID CommandUUID()
	{
		// {6DB18330-D009-4ADF-A931-FC0D4890B4AA}
		static const GUID BongoBonusToolsCommand_UUID =
    { 0x6DB18330, 0xD009, 0x4ADF, { 0xA9, 0x31, 0xFC, 0x0D, 0x48, 0x90, 0xB4, 0xAA } };
		return BongoBonusToolsCommand_UUID;
	}

  // Returns the English command name.
	const wchar_t* EnglishCommandName() { return L"BongoBonusTools"; }

  // Returns the localized command name.
	const wchar_t* LocalCommandName() const { return L"BongoBonusTools"; }

  // Rhino calls RunCommand to run the command.
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );

};

// The one and only instance of a CCommandBongoBonusTools class.  
// Do NOT create any other instance of a CCommandBongoBonusTools class.
static class CCommandBongoBonusTools theBongoBonusToolsCommand;

CRhinoCommand::result CCommandBongoBonusTools::RunBongoCommand( const CRhinoCommandContext& context )
{
	bbt.WakeUp();



	return CRhinoCommand::success;
}

//
// END BongoBonusTools command
//
////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////
